Firefox Flash Plugin Error related Help

Asked By 30 points N/A Posted on -
qa-featured

Hey guys!

I am addicted to internet games and play a lot of flash games. Initially, I used to play them in Internet Explorer. However, a friend advised me to opt for Firefox to play games. Most of the time, Firefox crashes while playing games and displays the following error message:

The Adobe Flash plugin has crashed.

               Send crash report

 

Now, even Internet Explorer crashes. Please help.

SHARE
Best Answer by Demmy
Best Answer
Best Answer
Answered By 0 points N/A #109103

Firefox Flash Plugin Error related Help

qa-featured

Yes, I have faced this problem also with Firefox 3.1 version when I was playing flash games Fishville and Farmville on Facebook. Firefox 3.2 was also not compatible with flash players.

Now, I have upgraded to Firefox 5.0 and I am not facing these type of problems. I think the problem has been solved in the latest versions of Firefox and is very much compatible with the flash player plug-ins.

You can download or upgrade the latest version of the player from the official site:

And use the latest flash player plug-ins from the site:

Wish you can solve this problem because the problem has been solved by me.

Cheers Demmy

Answered By 562865 points N/A #109105

Firefox Flash Plugin Error related Help

qa-featured

Your problem in your computer is very simple. You just need to update your current version of Adobe Flash Player that is installed on your computer. That is, if you really have this application installed on your system. But if not, you have to download and install it on your computer so you can continue on playing the games you are fond of playing with. Visit http://get.adobe.com/flashplayer/?promoid=BUIGP then download and install the latest version of Adobe Flash Player. The current latest release of Adobe Flash Player is version 11.2.202.235.

Just download it and follow the instruction on how to install it. After installing Adobe Flash Player, you may also want to upgrade your current version of Mozilla Firefox if you are still using an older version.

Login/Register to Answer

Related Questions